util.settings

## Class StringArrayProperty

- java.lang.Object
- - util.settings.Property
  - - util.settings.StringArrayProperty

-     public class StringArrayProperty
      extends Property

  A String-Array
  Author:
    Til Schneider, www.murfman.de

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringArrayProperty(PropertyManager manager, java.lang.String key, java.lang.String[] defaultValue)` Creates the StringArray

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItem(java.lang.String str)` Add a String to the Array
    `protected void` | `clearCache()` Clear the Cache
    `boolean` | `containsItem(java.lang.String str)` Tests if this Array contains a specific String
    `java.lang.String[]` | `getDefault()` The Default-Value
    `java.lang.String[]` | `getStringArray()` Get the StringArray
    `void` | `removeItem(java.lang.String str)` Remove a String
    `void` | `setStringArray(java.lang.String[] value)` Set the StringArray
    `java.lang.String` | `toString()` Returns the String

    - ### Methods inherited from class util.settings.Property

      `addChangeListener, fireChangeEvent, getKey, getProperty, removeChangeListener, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringArrayProperty

          public StringArrayProperty(PropertyManager manager,
                             java.lang.String key,
                             java.lang.String[] defaultValue)

      Creates the StringArray
      Parameters:
        `manager` - Manager
        `key` - Key for this Property
        `defaultValue` - the Default-Value

  - ### Method Detail

    - #### getDefault

          public java.lang.String[] getDefault()

      The Default-Value
      Returns:
        default-Value

    - #### containsItem

          public boolean containsItem(java.lang.String str)

      Tests if this Array contains a specific String
      Parameters:
        `str` - String to test
      Returns:
        true if String is in this Array

    - #### removeItem

          public void removeItem(java.lang.String str)

      Remove a String
      Parameters:
        `str` - String to remove

    - #### addItem

          public void addItem(java.lang.String str)

      Add a String to the Array
      Parameters:
        `str` - String to add

    - #### getStringArray

          public java.lang.String[] getStringArray()

      Get the StringArray
      Returns:
        StringArray

    - #### setStringArray

          public void setStringArray(java.lang.String[] value)

      Set the StringArray
      Parameters:
        `value` - new StringArray

    - #### clearCache

          protected void clearCache()

      Clear the Cache
      Specified by:
        `clearCache` in class `Property`

    - #### toString

          public java.lang.String toString()

      Returns the String
      Overrides:
        `toString` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)